
use strict;
use LWP;

my $idx = 0;
my $browser = LWP::UserAgent->new;

my $debug = 1;
  
my $url = 'http://kalusa.fiziwig.com/add_sentence.php';
my $browser=LWP::UserAgent->new();
my $outdir = "output/";

my $new_words_file = $outdir . "new_kalusa_words.txt";
 
open NEW_WORDS, ">> $new_words_file";

while ( <> ) {
    s/\s+$//;       # trailing whitespace
    next if /^$/;   # and blank lines

    split /\t/;
    if ( $_[0] !~ /^ *$/ && $_[1] !~ /^ *$/ ) {
	++$idx;
	&submit_sentence( $_[0], $_[1] );
	sleep 5;
    } else {
	print "warning: line has only one field (no tab)\n$_\n";
    }
}


sub submit_sentence () {
    my ( $kalusa_sentence, $english_gloss ) = @_;

    print "time " . time . ": fixing to submit sentence " . $idx . " [" . $kalusa_sentence . "] with gloss [" . $english_gloss . "]\n";

    my $response = $browser->post( $url, [ 'kalusa' => $kalusa_sentence, 'english' => $english_gloss, 'accept' => 1 ] );

    die "$url error: ", $response->status_line
	unless $response->is_success;
    die "Weird content type at $url -- ", $response->content_type
	unless $response->content_type eq 'text/html';

    my $outfile = $outdir . "kalusa-add-sentence-response" . $idx . ".html";
    open RESPONSE, "> $outfile";
    print RESPONSE $response->content;
    $response->content =~ m/>In Kalusa: ([^<]+)</;
    my $new_words = $1;
    if ( $new_words ne "--none--" ) {
	print NEW_WORDS $new_words . "\n";
	print "new words: $new_words \n" if $debug;
    }

    if ( $response->content !~ m/Thank.*for your submission/ ) {
	die "possible error response for sentence $idx, see output file $outfile \n";
    }
}
