
use strict;
use LWP;

my $idx = 0;
my $browser = LWP::UserAgent->new;
my $outdir = "output/";

my $debug = 1;
  
my $url = 'http://kalusa.fiziwig.com/rate_this.php';
my $browser=LWP::UserAgent->new();

while ( <> ) {
    s/\s+$//;       # trailing whitespace
    next if /^$/;   # skip blank lines

    split /\t/;
    if ( $_[0] !~ /^ *$/ && $_[1] !~ /^ *$/ ) {
	++$idx;
	&rate_sentence( $_[1], $_[0] );
	sleep 3;
    } else {
	print "warning: line has one or fewer fields (no tab)\n$_\n";
    }
}


sub rate_sentence () {
    my ( $sentence_number, $rating ) = @_;

    print "time " . time . ": fixing to submit vote $idx with rating $rating on sentence number $sentence_number\n"  if $debug;

#    my $response = $browser->post( $url, [ 'kalusa' => $kalusa_sentence, 'english' => $english_gloss, 'accept' => 1 ] );

    my $response = $browser->post( $url, [ 'rating' => $rating, 
					   'cid' => $sentence_number,
					   'wrd' => 'x',
					   'so' => 2, 
					   'submitted' => 1 ] );

    my $outfile = $outdir . "kalusa-rating-response-" . $idx . ".html";
    open RESPONSE, "> $outfile";
    print RESPONSE $response->content;
    close RESPONSE;

    #die "$url error: ", $response->status_line
    #unless $response->is_success;

    if ( ! $response->is_success ) {
	my $headerfile = $outdir . "kalusa-rating-response-headers" . $idx . ".txt";
#	open HEADERS, "> $headerfile";
#	print HEADERS $response->headers;
#	foreach ( keys %{ $response->headers } ) {
#	    print HEADERS $_, ": ", $response->headers { $_ }, "\n";
#	}
#	print "response was not success so log headers to $headerfile\n";
#        close HEADERS;
    }

    die "Weird content type at $url -- ", $response->content_type
	unless $response->content_type eq 'text/html';

    if ( $response->content =~ m/You have already voted/ ) {
	print "apparently already voted on sentence #" . $sentence_number . ", so skip to next\n";
	return;
    }


    if ( $response->content =~ m/No sentence found/ ) {
	print "sentence #" . $sentence_number . " apparently already voted out, so skip to next\n";
	return;
    }

    if ( $response->content =~ m/nable to select database/ ) {
	die "error: unable to select database \n";
    }

#    if ( $response->content !~ m/Thank you for voting/ ) {
#	die "possible error response for vote on sentence $idx, see output file $outfile \n";
#    }

}
